module CHookVariables
    !**use CRealEventHandlerCollection
    ! use CHookActions
    implicit none
    Type :: HookType
        real :: HookHeight_S = 0.0
        real :: HookHeight
        !**type(RealEventHandlerCollection) :: OnHookHeightChange
    end type HookType
    

    contains      
    

    
end module CHookVariables